%global forgeurl https://github.com/jbruchon/libjodycode

Version:        2.0.1

%forgemeta

Name:           libjodycode
Release:        1%{?dist}
Summary:        General purpose utility functions

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

Patch0:         libjodycode-2.0.1-Makefile.patch

BuildRequires:  gcc
BuildRequires:  make

%description
libjodycode is a software code library containing code shared among
several of the programs written by Jody Bruchon such as imagepile,
jdupes, winregfs, and zeromerge. These shared pieces of code were
copied between each program as they were updated. As the number of
programs increased and keeping these pieces of code synced became more
annoying, the decision was made to combine all of them into a single
reusable shared library.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%forgesetup
%patch -P 0 -p1


%build
%make_build CFLAGS_EXTRA="%{optflags}" HARDEN=1 LIB_DIR="%{_libdir}"


%install
%make_install CFLAGS_EXTRA="%{optflags}" HARDEN=1 LIB_DIR="%{_libdir}"

# man page is currently empty
rm -rf %{buildroot}%{_mandir}/man7


%files
%license LICENSE
%doc CHANGES README.md
%{_includedir}/libjodycode.h
%{_libdir}/libjodycode.so.*
%{_libdir}/libjodycode.a

%files devel
%{_libdir}/libjodycode.so

%changelog
* Tue Jun 13 2023 David Cantrell <dcantrell@redhat.com> - 2.0.1-1
- Initial package
